zabbix_export:
  version: '7.0'
  host_groups:
    - uuid: df4680bf2bd54e129d4b55b971b6d4e6
      name: test
  hosts:
    - host: 'Test JS preprocessing macros'
      name: 'Test JS preprocessing macros'
      groups:
        - name: test
      items:
        - name: Test
          type: SCRIPT
          key: test
          delay: '10'
          history: '0'
          value_type: CHAR
          trends: '0'
          params: 'return 1;'
        - name: 'Test 1'
          type: DEPENDENT
          key: test1
          delay: '0'
          history: 1d
          value_type: CHAR
          trends: '0'
          preprocessing:
            - type: JAVASCRIPT
              parameters:
                - |
                  var test1 = '{$TEST1}';
                  var test2 = '{$TEST2}';
                  var test3 = '{$TEST3}';
                  
                  return test1+' '+test2+' '+test3;
          master_item:
            key: test
        - name: 'Test 2'
          type: DEPENDENT
          key: test2
          delay: '0'
          history: 1d
          value_type: CHAR
          trends: '0'
          preprocessing:
            - type: JAVASCRIPT
              parameters:
                - |
                  var test1 = '{$TEST1}';
                  var test3 = '{$TEST3}';
                  var test2 = '{$TEST2}';
                  
                  return test1+' '+test2+' '+test3;
          master_item:
            key: test
      macros:
        - macro: '{$TEST1}'
          value: TExt1
        - macro: '{$TEST3}'
          value: tExT3
      inventory_mode: AUTOMATIC
